document.getElementById('generate').addEventListener('click', function() {
  const description = document.getElementById('description').value;
  if (description.trim() === '') {
    alert('Please enter a description for the flowchart.');
    return;
  }

  const encodedDescription = encodeURIComponent(description);
  const plantUmlUrl = `https://www.plantuml.com/plantuml/svg/~1${encodedDescription}`;

  const flowchartDiv = document.getElementById('flowchart');
  flowchartDiv.innerHTML = `<img src="${plantUmlUrl}" alt="Generated Flowchart" style="width:100%;">`;
});